//sine8_intr.c Sine generation using 8 points, f=Fs/(# of points)
//Comm routines and support files included in C6xdskinit.c

short loop = 0;
short sin_table[8] = {0,707,1000,707,0,-707,-1000,-707}; //sine values
short amplitude = 10;     //gain factor

interrupt void c_int11()  //interrupt service routine
{  
 output_sample(sin_table[loop]*amplitude); //output each sine value
 if (loop < 7) ++loop;    //increment index loop
 else loop = 0;           //reinit index @ end of buffer
 return;                  //return from interrupt
}

void main()
{
  comm_intr();            //init DSK, codec, McBSP
  while(1);               //infinite loop
}
 
