//FIRCASM.c FIR C program calling ASM function fircasmfunc.asm

#include "bp41.cof"              //BP @ Fs/8 coefficient file
int yn = 0;				   //initialize filter's output
short dly[N];        		   //delay samples 

interrupt void c_int11()         //ISR
{
	dly[N-1] = input_sample(); //newest sample @bottom buffer
	yn = fircasmfunc(dly,h,N); //asm func passing to A4,B4,A6
   	output_sample(yn >> 15);   //filter's output
	return;
}

void main()
{
 	short i;

	for (i=0;i<N;i++)
  	dly[i]=0;                  //init buffer for delays
	comm_intr();               //init DSK, codec, McBSP
	while(1);                  //infinite loop
}

