/*FIRcirc_ext.cmd Linker file for circular buffer in external memory*/

MEMORY
{
  VECS:       org =         0h,  len =      0x220
  IRAM:       org = 0x00000220,  len = 0x0000FDC0  
  buffer_ext: org = 0x80000000,  len = 0x00000110
  SDRAM:      org = 0x80000110,  len = 0x01000000  
  FLASH:      org = 0x90000000,  len = 0x00020000
}
SECTIONS
{                
  circdata :> buffer_ext
  vectors  :> VECS
  .text	   :> IRAM
  .bss     :> IRAM
  .cinit   :> IRAM
  .stack   :> IRAM
  .sysmem  :> SDRAM
  .const   :> IRAM
  .switch  :> IRAM
  .far     :> SDRAM
  .cio     :> SDRAM   
}
